FreeMat

- Main Page
- Related Pages

vtkNetCDFPOPReader

Section: Visualization Toolkit IO Classes

# Usage

vtkNetCDFPOPReader is a source object that reads NetCDF files. It should be able to read most any NetCDF file that wants to output rectilinear grid

To create an instance of class vtkNetCDFPOPReader, simply invoke its constructor as follows

      obj = vtkNetCDFPOPReader

# Methods

The class vtkNetCDFPOPReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkNetCDFPOPReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkNetCDFPOPReader = obj.NewInstance ()`
- `vtkNetCDFPOPReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFilename (string )`
- `string = obj.GetFilename ()`
- `obj.SetWholeExtent (int , int , int , int , int , int )`
- `obj.SetWholeExtent (int a[6])`
- `int = obj. GetWholeExtent ()`
- `obj.SetSubExtent (int , int , int , int , int , int )`
- `obj.SetSubExtent (int a[6])`
- `int = obj. GetSubExtent ()`
- `obj.SetOrigin (double , double , double )`
- `obj.SetOrigin (double a[3])`
- `double = obj. GetOrigin ()`
- `obj.SetSpacing (double , double , double )`
- `obj.SetSpacing (double a[3])`
- `double = obj. GetSpacing ()`
- `obj.SetStride (int , int , int )`
- `obj.SetStride (int a[3])`
- `int = obj. GetStride ()`
- `obj.SetBlockReadSize (int )`
- `int = obj.GetBlockReadSize ()`
- `int = obj.GetNumberOfVariableArrays ()` - Variable array selection.
- `string = obj.GetVariableArrayName (int idx)` - Variable array selection.
- `int = obj.GetVariableArrayStatus (string name)` - Variable array selection.
- `obj.SetVariableArrayStatus (string name, int status)` - Variable array selection.